Package: groovy.sql

## [Java] Class ResultSetMetaDataWrapper

- groovy.sql.ResultSetMetaDataWrapper

- This class defines a wrapper for accessing a specific column in `ResultSetMetaData`. This allows iteration over columns using idiomatic Groovy, e.g.:

       meta.each {col ->
         println col.columnName
       }

  All `ResultSetMetaData` column methods taking a column index are available on a column either as a no-arg getter or via a property.

  This wrapper is created by an iterator invoked for `ResultSetMetaData`.

  Authors:
    John Hurst
  See Also:
    SqlGroovyMethods

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ResultSetMetaDataWrapper (ResultSetMetaData target, int index)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Object` | `getProperty(String property)`
    `` | `Object` | `invokeMethod(String name, Object args)`
    `` | `void` | `setProperty(String property, Object newValue)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyObjectSupport` | `getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty`
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public ResultSetMetaDataWrapper(ResultSetMetaData target, int index)

  - ### Method Detail

    - #### @Override public Object getProperty(String property)

    - #### @Override public Object invokeMethod(String name, Object args)

    - #### @Override public void setProperty(String property, Object newValue)